# Scribal

Scribal is a Description Language specification and execution engine. The Description Language can be considered a TDL (Test Description Language) or BDL (Business Description Language). These the terms to indicate a language where elaborated requirements and tests become largely the same artifact.

Scribal uses [Gherkin](https://github.com/cucumber/cucumber/wiki/Gherkin) to process test specifications similar to solutions like [Cucumber](http://cukes.info/) and [Spinach](https://github.com/codegram/spinach). Scribal is a direct clone of [Turnip](https://github.com/jnicklas/turnip).

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'scribal'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install scribal

## Usage

Scribal uses RSpec as a test runner which means you execute Scribal tests by creating a `spec` directory that contains test specification files.

To allow RSpec to utilize the Scribal execution mechanism, you can create an `.rspec` file in your project directory and add the following line:

```ruby
-r scribal/rspec
```

## Contributing

To work on Scribal:

1. [Fork the project](http://gun.io/blog/how-to-github-fork-branch-and-pull-request/).
2. Create a feature branch. (`git checkout -b my-new-feature`)
3. Commit your changes. (`git commit -am 'new feature'`)
4. Push the branch. (`git push origin my-new-feature`)
5. Create a new [pull request](https://help.github.com/articles/using-pull-requests).

## Author

* [Jeff Nyman](http://testerstories.com)

## License

Scribal is distributed under the [MIT](http://www.opensource.org/licenses/MIT) license.